Bug 1213673 - wifi stops working randomly with Intel AC 7265
Summary: wifi stops working randomly with Intel AC 7265
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fedora-kernel-wireless-iwl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-21 04:01 UTC by Sandro Mathys
Modified: 2019-07-08 20:38 UTC (History)
22 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 11:57:01 UTC


Attachments (Terms of Use)
dmesg - noticed connection dead at [ 4429.xxxxxx] then disconnected and re-connected through NM. (115.27 KB, text/plain)
2015-04-21 04:01 UTC, Sandro Mathys
no flags Details

Description Sandro Mathys 2015-04-21 04:01:33 UTC
Created attachment 1016674 [details]
dmesg - noticed connection dead at [ 4429.xxxxxx] then disconnected and re-connected through NM.

Description of problem:
Connecting to a wifi access point work well, and so does the connection - initially. But eventually, the connection just stops working with NM thinking it's still up and running. I see there's a few similar bug reports, but as I can't be sure it's the same issue, I think it's less confusing if I open a new bug.

Version-Release number of selected component (if applicable):
[red_trela@carbon ~]$ rpm -q kernel
kernel-4.0.0-0.rc5.git4.1.fc22.x86_64
kernel-4.0.0-1.fc22.x86_64
[red_trela@carbon ~]$ uname -a
Linux carbon.localdomain 4.0.0-1.fc22.x86_64 #1 SMP Mon Apr 13 10:03:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
No idea what's triggering it. It happens a lot, so it is reproducible but it happens randomly - sometimes after some minutes, sometimes after a few hours. I think I've once had a stable connection that didn't fail until I rebooted.

Steps to Reproduce:
1. Connect to wifi
2. Use wifi
3. Experience connection issues after some time

Actual results:
Connection issues, e,g. opening a website or connecting to a ssh host fail. NM thinks the connection is still there.

Expected results:
No issues

Additional info:
It's a Intel Dual Band Wireless AC 7265 in a Lenovo Thinkpad Carbon X1 (2015 / 3rd gen).

Comment 1 Sandro Mathys 2015-05-12 07:52:10 UTC
This issue is still present in 4.0.2-300.fc22.x86_64 - even though it seems to occur less often now.

Comment 2 Sandro Mathys 2015-05-29 10:23:07 UTC
Looks like it's a general issue with Intel cards and 802.11n that seems to have been an issue for years with the only solution being the following workaround:

echo "options iwlwifi 11n_disable=1" > /etc/modprobe.d/iwlwifi.conf

i.e. disabling 802.11n completely. And there I thought Intel drivers are generally well-maintained...

Comment 3 Carwyn Edwards 2015-10-04 23:21:36 UTC
This seems similar to bug #1223485 ?

Comment 4 Sandro Mathys 2015-10-05 00:06:59 UTC
Yes, possibly a duplicate - my understanding of the matter isn't good enough to tell for sure (or understand everything that is said in the other bug).

Comment 5 Justin M. Forbes 2015-10-20 19:17:56 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 6 Fedora Kernel Team 2015-11-23 17:09:32 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Michael Bayer 2016-03-16 20:49:29 UTC
I'm on F23 and am having the same issue, the fix for disabling 11n above also seems to have resolved it.

Comment 8 Michael Bayer 2016-03-16 20:51:15 UTC
running kernel-4.4.3-300.fc23.x86_64

Comment 9 hashim.muqtadir 2016-07-26 15:54:25 UTC
I was having the same problem on Fedora 24, running kernel 4.6.4-301.fc24.x86_64 with this card: Intel Corporation Dual Band Wireless-N 7260

I ran "journalctl -lf" and got messages very similar to those from line [ 3633.079139] to [ 3633.261649] in the attached file whenever wifi stopped working.

Happened a lot yesterday, seems alright today. If it occurs again I'll post if I notice something common.

Comment 10 Carwyn Edwards 2016-07-27 14:01:23 UTC
Disabling 11n isn't really a fix as 11n is way too common to ignore. This is still present in Fedora 24 up to and including the 4.6 series kernels. I've tried many of the updated firmwares from the kernel frimware tree too with no fix found so far.

I think this bug #1223485 is the same one.

Comment 11 Carwyn Edwards 2016-07-27 22:54:19 UTC
Still present with:

# ethtool -i wlp2s0
driver: iwlwifi
version: 4.6.4-301.fc24.x86_64
firmware-version: 21.302800.0

Comment 12 Carwyn Edwards 2016-07-28 02:53:09 UTC
Other reports/suggestions:

https://forums.linuxmint.com/viewtopic.php?t=189342

https://wiki.archlinux.org/index.php/Wireless_network_configuration#iwlwifi

Disabling 11n or power management seem to be common "fixes".

Comment 13 Laura Abbott 2016-09-23 19:21:24 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 14 Carwyn Edwards 2016-09-23 19:56:34 UTC
This bug does exist on Fedora 24 as noted above, I can't change the version number though.

Comment 15 Sandro Mathys 2016-09-23 20:16:20 UTC
I don't own this device anymore, but as others have reported the issue still exists in F24, I'm changing the version.

Comment 16 Justin M. Forbes 2017-04-11 14:40:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 17 Joe Doss 2017-04-27 17:20:03 UTC
This is still happening with F26 on my 2nd Gen Lenovo X1 Carbon.  You have to use:

echo "options iwlwifi 11n_disable=1" > /etc/modprobe.d/iwlwifi.conf

and totally disable 802.11n completely to get poor ~1Mbps speeds. Otherwise wifi is totally unusable.

Comment 18 Fedora End Of Life 2017-07-25 18:54:03 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2017-08-08 11:57:01 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 Carwyn Edwards 2017-08-08 12:00:43 UTC
As has been noted above, this still happens on Fedora 26.

Comment 21 Mikkel Jeppesen 2019-06-09 23:27:27 UTC
This is still an issue on F29

# uname -a
Linux localhost.localdomain 5.1.6-200.fc29.x86_64 #1 SMP Mon Jun 3 17:20:05 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

# ethtool -i wlp1s0
driver: iwlwifi
version: 5.1.6-200.fc29.x86_64
firmware-version: 29.1044073957.0
expansion-rom-version: 
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: no
supports-priv-flags: no

# lspci | grep -i network
01:00.0 Network controller: Intel Corporation Wireless 7265 (rev 61)

Comment 22 Jeremy Cline 2019-07-08 20:38:20 UTC
Hi Mikkel,

It's very likely you're hitting https://bugzilla.redhat.com/show_bug.cgi?id=1716334. When 5.1.17 arrives in the testing repositories please give it a test.


Note You need to log in before you can comment on or make changes to this bug.